AppendedSolrParams (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.AppendedSolrParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.params
Class AppendedSolrParams

    java.lang.Object
      org.apache.solr.common.params.SolrParams
          org.apache.solr.common.params.DefaultSolrParams
              org.apache.solr.common.params.AppendedSolrParams

All Implemented Interfaces:
  Serializable

    public class AppendedSolrParams

extends DefaultSolrParams

SolrParams wrapper which acts similar to DefaultSolrParams except that it "appends" the values of multi-value params from both sub instances, so that all of the values are returned.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.solr.common.params.DefaultSolrParams
`defaults, params`

Constructor Summary
`AppendedSolrParams(SolrParams main, SolrParams extra)` Deprecated. (3.6) Use `SolrParams.wrapAppended(SolrParams, SolrParams)` instead.

Method Summary
`String[]` | `getParams(String param)` returns an array of the String values of a param, or null if none
`String` | `toString()`

Methods inherited from class org.apache.solr.common.params.DefaultSolrParams
`get, getParameterNamesIterator`

Methods inherited from class org.apache.solr.common.params.SolrParams
`fpname, get, getBool, getBool, getDouble, getDouble, getFieldBool, getFieldBool, getFieldDouble, getFieldDouble, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, parseBool, required, toMap, toMultiMap, toNamedList, toSolrParams, wrapAppended, wrapDefaults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppendedSolrParams

    @Deprecated
    public AppendedSolrParams(SolrParams main,
                                         SolrParams extra)

  Deprecated. (3.6) Use `SolrParams.wrapAppended(SolrParams, SolrParams)` instead.

Method Detail

### getParams

    public String[] getParams(String param)

  Description copied from class: `SolrParams`
  returns an array of the String values of a param, or null if none

  Overrides:
    `getParams` in class `DefaultSolrParams`

### toString

    public String toString()

  Overrides:
    `toString` in class `DefaultSolrParams`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD